Public Member Functions | Public Attributes | List of all members
StarObjectTextInternal::FormatZone Struct Referencefinal

Internal: a formatZone of StarObjectTextInteral. More...

Inheritance diagram for StarObjectTextInternal::FormatZone:

## Public Member Functions
| FormatZone (std::shared_ptr< StarFormatManagerInternal::FormatDef > &format)
| constructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| try to send the data to a listener
Public Member Functions inherited from StarObjectTextInternal::Zone
| Zone ()
| constructor
virtual | ~Zone ()
| destructor
virtual void | inventoryPage (StarState &) const
| try to inventory the different pages

## Public Attributes
std::shared_ptr< StarFormatManagerInternal::FormatDef > | m_format
| the format

## Detailed Description

Internal: a formatZone of StarObjectTextInteral.

## Constructor & Destructor Documentation

## ◆ FormatZone()

StarObjectTextInternal::FormatZone::FormatZone | ( | std::shared_ptr< StarFormatManagerInternal::FormatDef > & | format | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ send()

bool StarObjectTextInternal::FormatZone::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const
| final virtual

try to send the data to a listener

Implements StarObjectTextInternal::Zone.

## Member Data Documentation

## ◆ m_format

std::shared_ptr<StarFormatManagerInternal::FormatDef> StarObjectTextInternal::FormatZone::m_format

the format

Referenced by send().

The documentation for this struct was generated from the following file:

- StarObjectText.cxx